# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname PySBIG
%define fedora 19
%define python_sitearch %(%{__python} -c 'from distutils import sysconfig; print sysconfig.get_python_lib(1)')

Name:		python-module-PySBIG
Version:	0.04
Release:	alt1_10
Summary:	PySBIG can read SBIG CCD files

Group:		Development/Python
License:	GPLv2+
URL:		http://coldstonelabs.org/doku.php?id=software:pysbig
Source0:	http://coldstonelabs.org/files/%{oldname}-%{version}.tar.bz2


BuildRequires:	python-devel python-module-numpy python-module-numpy-addons python-module-numpy-testing
Source44: import.info

%description
PySBIG can read SBIG CCD files and give you a Numeric array
for the data and a dictionary for the headers. There is cPySBIG
(since version 0.02) which is 40 times faster than the pure PySBIG module,
also included. Version 0.03 now works with numpy instead of Numeric. 

%prep
%setup -n %{oldname}-%{version} -q

%build
env CFLAGS="$RPM_OPT_FLAGS" python setup.py build 

%install
env CFLAGS="$RPM_OPT_FLAGS" python setup.py install --root=$RPM_BUILD_ROOT

%files 
%doc COPYING README
%{python_sitelibdir}/PySBIGuncompress.so
%{python_sitelibdir}/PySBIG.py*
%{python_sitelibdir}/cPySBIG.py*
%if 0%{?fedora} >= 9
%{python_sitelibdir}/*egg-info
%endif

%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_10
- update to new release by fcimport

* Tue Jan 08 2013 Igor Vlasenko <viy@altlinux.ru> 0.04-alt1_9
- initial fc import

